All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.swing.visuals.dataselectors.sort
Class SortSelectorRenderer

    com.sas.swing.visuals.dataselectors.sort.SortSelectorRenderer

All Implemented Interfaces:
  Constants, com.sas.util.SortDirectionInterface, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, javax.accessibility.Accessible, javax.swing.ListCellRenderer, javax.swing.SwingConstants

    public class SortSelectorRenderer

implements javax.swing.ListCellRenderer, com.sas.util.SortDirectionInterface

See Also:
  Serialized Form

Field Summary
`protected static javax.swing.border.Border` | `noFocusBorder`

Fields inherited from class com.sas.swing.visuals.LabelView
`alignmentMode, BLOCK, clipped, INDIVIDUAL, leadingContentOffset, lineGap, lineWrap, orientation, preferredSpanSize, replaceNewline, replaceTab, SPAN_FILL, tabSize, topContentOffset, wordWrap`

Fields inherited from interface com.sas.util.SortDirectionInterface
`ASCENDING, DESCENDING, NOT_SORTED`

Fields inherited from interface com.sas.swing.Constants
`CENTER_BOTTOM, CENTER_LEADING, CENTER_LEFT, CENTER_RIGHT, CENTER_TOP, CENTER_TRAILING`

Constructor Summary
`SortSelectorRenderer()`

Method Summary
`java.awt.Component` | `getListCellRendererComponent(javax.swing.JList list, java.lang.Object value, int index, boolean isSelected, boolean cellHasFocus)`

Methods inherited from class com.sas.swing.visuals.LabelView
`checkHorizontalKey, checkVerticalKey, getAlignmentMode, getExtendedBeanInfo, getGapBetweenLines, getHorizontalAlignment, getHorizontalTextPosition, getLeadingContentOffset, getLineWrap, getOrientation, getPreferredSpanSize, getTabSize, getTopContentOffset, getUIClassID, getVerticalAlignment, getVerticalTextPosition, getWrapStyleWord, initializeLocalVars, isClipped, setAlignmentMode, setClipped, setGapBetweenLines, setHorizontalAlignment, setHorizontalTextPosition, setLeadingContentOffset, setLineWrap, setOrientation, setPreferredSpanSize, setTabSize, setTopContentOffset, setVerticalAlignment, setVerticalTextPosition, setWrapStyleWord, updateUI`

Field Detail

### noFocusBorder

    protected static javax.swing.border.Border noFocusBorder

Constructor Detail

### SortSelectorRenderer

    public SortSelectorRenderer()

Method Detail

### getListCellRendererComponent

    public java.awt.Component getListCellRendererComponent(javax.swing.JList list,
                                                           java.lang.Object value,
                                                           int index,
                                                           boolean isSelected,
                                                           boolean cellHasFocus)

  Specified by:
    `getListCellRendererComponent` in interface `javax.swing.ListCellRenderer`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.